<?php

namespace MigrationsGenerator\Generators\MigrationConstants\Method;

/**
 * Laravel available column types
 * @link https://laravel.com/docs/9.x/migrations#available-column-types
 */
final class ColumnType
{
    public const BIG_INTEGER             = 'bigInteger';
    public const BIG_INCREMENTS          = 'bigIncrements';
    public const BINARY                  = 'binary';
    public const BOOLEAN                 = 'boolean';
    public const CHAR                    = 'char';
    public const DATE                    = 'date';
    public const DATETIME                = 'dateTime';
    public const DATETIME_TZ             = 'dateTimeTz';
    public const DECIMAL                 = 'decimal';
    public const DOUBLE                  = 'double';
    public const ENUM                    = 'enum';
    public const FLOAT                   = 'float';
    public const GEOMETRY                = 'geometry';
    public const GEOMETRY_COLLECTION     = 'geometryCollection';
    public const INCREMENTS              = 'increments';
    public const INTEGER                 = 'integer';
    public const IP_ADDRESS              = 'ipAddress';
    public const JSON                    = 'json';
    public const JSONB                   = 'jsonb';
    public const LINE_STRING             = 'lineString';
    public const LONG_TEXT               = 'longText';
    public const MAC_ADDRESS             = 'macAddress';
    public const MEDIUM_INCREMENTS       = 'mediumIncrements';
    public const MEDIUM_INTEGER          = 'mediumInteger';
    public const MEDIUM_TEXT             = 'mediumText';
    public const MULTI_LINE_STRING       = 'multiLineString';
    public const MULTI_POINT             = 'multiPoint';
    public const MULTI_POLYGON           = 'multiPolygon';
    public const POINT                   = 'point';
    public const POLYGON                 = 'polygon';
    public const REMEMBER_TOKEN          = 'rememberToken';
    public const SET                     = 'set';
    public const SMALL_INCREMENTS        = 'smallIncrements';
    public const SMALL_INTEGER           = 'smallInteger';
    public const SOFT_DELETES            = 'softDeletes';
    public const STRING                  = 'string';
    public const TEXT                    = 'text';
    public const TIME                    = 'time';
    public const TIME_TZ                 = 'timeTz';
    public const TIMESTAMP               = 'timestamp';
    public const TIMESTAMPS              = 'timestamps';
    public const TIMESTAMP_TZ            = 'timestampTz';
    public const TIMESTAMPS_TZ           = 'timestampsTz';
    public const TINY_INCREMENTS         = 'tinyIncrements';
    public const TINY_INTEGER            = 'tinyInteger';
    public const UNSIGNED_BIG_INTEGER    = 'unsignedBigInteger';
    public const UNSIGNED_INTEGER        = 'unsignedInteger';
    public const UNSIGNED_MEDIUM_INTEGER = 'unsignedMediumInteger';
    public const UNSIGNED_SMALL_INTEGER  = 'unsignedSmallInteger';
    public const UNSIGNED_TINY_INTEGER   = 'unsignedTinyInteger';
    public const UUID                    = 'uuid';
    public const YEAR                    = 'year';
}
